<?php
 header("Access-Control-Allow-Origin: *");
 header("Content-Type: application/json; charset=UTF-8");
include 'dbconfig.php';

if(isset($_SERVER['HTTP_ORIGIN'])) {
        header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
        header('Access-Control-Allow-Credentials: true');
        header('Access-Control-Max-Age: 86400');    // cache for 1 day
}
// Access-Control headers are received during OPTIONS requests
if($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
            header("Access-Control-Allow-Methods: GET, POST, OPTIONS");         

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
            header("Access-Control-Allow-Headers:        {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

        exit(0);
}

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
} 
$json = json_decode(file_get_contents('php://input'), true);
$vendor_id=$json['vendor_id'];
// Start date
$date = date('Y-m-d');
// End date
$end_date = date('Y-m-d', mktime(0, 0, 0, date('m'), date('d') + 3, date('Y')));
$arr=array();
$s=1;
while (strtotime($date) <= strtotime($end_date)) {
    $days=date("l",strtotime($date));
    $mindays=date("D",strtotime($date));
    $numdays=date("d",strtotime($date));
    $sql="SELECT * FROM timeslot where vendor_id='$vendor_id' and slot_name='$days'";
    $result = $conn->query($sql);
    
    // output data of each row
    
    while($row = mysqli_fetch_assoc($result)) {
      $border="Border".$s;    
      if($row['available']==1){   
       $start = strtotime($row['start_time']);
       $end   = strtotime($row['end_time']);  
       $enabled=false;
       for($i=$start; $i<=$end; $i = $i + 30*60){
           $currtime=date('H:i',$i);
           $sqltime=$conn->query("SELECT * FROM save_order where job_date='$date' and job_time='$currtime'");
           if(mysqli_num_rows($sqltime)==0){
              $enabled=true; 
           }
       }
       
       if($enabled){
       $arr[]=array("id" => $row['id'],"short_day" => $mindays,"short_num" => $numdays,"date" => $date,"disabled" =>false,"border" =>$border);
       }else{
        $arr[]=array("id" => $row['id'],"short_day" => $mindays,"short_num" => $numdays,"date" => $date,"disabled" =>true,"border" =>$border);   
       }
      }else{
        $arr[]=array("id" => $row['id'],"short_day" => $mindays,"short_num" => $numdays,"date" => $date,"disabled" =>true,"border" =>$border); 
      }
    $s++;}
    
    $date = date ("Y-m-d", strtotime("+1 day", strtotime($date)));
}
$data = array("data" => $arr);
echo json_encode($data);    
$conn->close();
?>